[![MIT licensed](https://img.shields.io/badge/license-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![Build Status](https://travis-ci.org/GPUOpen-ProfessionalCompute-Libraries/MIVisionX.svg?branch=master)](https://travis-ci.org/GPUOpen-ProfessionalCompute-Libraries/MIVisionX)

# [MIVisionX Documentation](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/) 

MIVisionX toolkit is a comprehensive computer vision and machine intelligence libraries, utilities and applications bundled into a single toolkit.

* [AMD OpenVX](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#amd-openvx)
* [AMD OpenVX Extensions](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#amd-openvx-extensions)
  + [Loom 360 Video Stitch Library](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/amd_openvx_extensions/amd_loomsl/)
  + [Neural Net Library](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/amd_openvx_extensions/amd_nn/)
  + [OpenCV Extensions](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/amd_openvx_extensions/amd_opencv/)
  + [WinML Extensions](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/amd_openvx_extensions/amd_winml/)
* [Applications](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#applications)
* [Neural Net Model Compiler & Optimizer](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#neural-net-model-compiler--optimizer)
* [Samples](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/samples/#samples)
* [Toolkit](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#toolkit)
* [Utilities](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#utilities)
  + [Inference Generator](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/utilities/inference_generator/#inference-generator)
  + [Loom Shell](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/utilities/loom_shell/#radeon-loomsh)
  + [RunCL](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/utilities/runcl/#amd-runcl)
  + [RunVX](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/utilities/runvx/#amd-runvx)
* [Prerequisites](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#prerequisites)
* [Build & Install MIVisionX](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#build--install-mivisionx)
* [Verify the Installation](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#verify-the-installation)
* [Docker](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#docker)
* [Release Notes](https://gpuopen-professionalcompute-libraries.github.io/MIVisionX/#release-notes)
